# -*- coding: utf-8 -*-
#   Copyright 2015 Sameer Suhas Marathe
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

"""Library of number theory related functions inspired by Project Euler.

.. moduleauthor:: Sameer Marathe

"""

__all__ = ["numtheory", "prime_numbers", "fibonacci", "pythagoras", "etc"]
from .numtheory import *
from .prime_numbers import *
from .fibonacci import *
from .pythagoras import *
from .etc import *